> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /immowelt/properties

> Get full immowelt real estate property (expose) details by property id (Online-ID or legacy id) or a property URL: title, property type and subtype, distribution and transaction type, price and price per m² with the price label (Kaufpreis, Kaltmiete, Warmmiete, ...), commission, recurring costs such as the monthly Hausgeld, monthly financing rate, main area (living, office, sales, storage, restaurant or overall, whichever the property type uses), plot area, divisibility, rooms, floor, availability, construction year, condition, energy class and certificate, address, main, area and additional descriptions, grouped features, market price comparison, photos, floorplans, videos, virtual tours, attached documents, geo hierarchy, tags and the listing agency.

**Price:** 20 credits

**⚠️ Common errors:** 412: Property not found (well-formed but nonexistent or expired property id)



## OpenAPI

````yaml /openapi/real-estate.json post /api/immowelt/properties
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/immowelt/properties:
    post:
      tags:
        - /immowelt
      summary: /immowelt/properties
      description: >-
        Get full immowelt real estate property (expose) details by property id
        (Online-ID or legacy id) or a property URL: title, property type and
        subtype, distribution and transaction type, price and price per m² with
        the price label (Kaufpreis, Kaltmiete, Warmmiete, ...), commission,
        recurring costs such as the monthly Hausgeld, monthly financing rate,
        main area (living, office, sales, storage, restaurant or overall,
        whichever the property type uses), plot area, divisibility, rooms,
        floor, availability, construction year, condition, energy class and
        certificate, address, main, area and additional descriptions, grouped
        features, market price comparison, photos, floorplans, videos, virtual
        tours, attached documents, geo hierarchy, tags and the listing agency.


        **Price:** 20 credits


        **⚠️ Common errors:** 412: Property not found (well-formed but
        nonexistent or expired property id)
      operationId: __api_immowelt_properties_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImmoweltPropertiesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ImmoweltProperty'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ImmoweltPropertiesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        property:
          type: string
          minLength: 1
        domain:
          $ref: '#/components/schemas/ImmoweltDomain'
          default: immowelt.de
      type: object
      required:
        - property
    ImmoweltProperty:
      properties:
        '@type':
          type: string
          default: ImmoweltProperty
        id:
          type: string
        global_id:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        document_title:
          anyOf:
            - type: string
            - type: 'null'
        property_type:
          anyOf:
            - type: string
            - type: 'null'
        property_sub_type:
          anyOf:
            - type: string
            - type: 'null'
        distribution_type:
          anyOf:
            - type: string
            - type: 'null'
        transaction_type:
          anyOf:
            - type: string
            - type: 'null'
        is_new_build:
          anyOf:
            - type: boolean
            - type: 'null'
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
        headline:
          anyOf:
            - type: string
            - type: 'null'
        location_description:
          anyOf:
            - type: string
            - type: 'null'
        additional_description:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        price_label:
          anyOf:
            - type: string
            - type: 'null'
        price_per_m2:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        commission_percent:
          anyOf:
            - type: number
            - type: 'null'
        commission_note:
          anyOf:
            - type: string
            - type: 'null'
        price_note:
          anyOf:
            - type: string
            - type: 'null'
        price_details:
          items:
            $ref: '#/components/schemas/ImmoweltPriceDetail'
          type: array
          default: []
        monthly_rate:
          anyOf:
            - type: number
            - type: 'null'
        area_m2:
          anyOf:
            - type: number
            - type: 'null'
        plot_m2:
          anyOf:
            - type: number
            - type: 'null'
        is_divisible:
          anyOf:
            - type: boolean
            - type: 'null'
        divisible_from_m2:
          anyOf:
            - type: number
            - type: 'null'
        room_count:
          anyOf:
            - type: number
            - type: 'null'
        floor:
          anyOf:
            - type: string
            - type: 'null'
        availability:
          anyOf:
            - type: string
            - type: 'null'
        construction_year:
          anyOf:
            - type: integer
            - type: 'null'
        condition:
          anyOf:
            - type: string
            - type: 'null'
        energy_class:
          anyOf:
            - type: string
            - type: 'null'
        energy_certificate:
          anyOf:
            - $ref: '#/components/schemas/ImmoweltEnergyCertificate'
            - type: 'null'
        reference:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - $ref: '#/components/schemas/ImmoweltAddress'
            - type: 'null'
        keyfacts:
          items:
            type: string
          type: array
          default: []
        feature_sections:
          items:
            $ref: '#/components/schemas/ImmoweltFeatureSection'
          type: array
          default: []
        price_comparison:
          anyOf:
            - $ref: '#/components/schemas/ImmoweltPriceComparison'
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        floorplans:
          items:
            type: string
          type: array
          default: []
        videos:
          items:
            $ref: '#/components/schemas/ImmoweltMedia'
          type: array
          default: []
        virtual_tours:
          items:
            $ref: '#/components/schemas/ImmoweltMedia'
          type: array
          default: []
        documents:
          items:
            $ref: '#/components/schemas/ImmoweltDocument'
          type: array
          default: []
        geo_id_hierarchy:
          items:
            $ref: '#/components/schemas/ImmoweltGeoLevel'
          type: array
          default: []
        tags:
          anyOf:
            - $ref: '#/components/schemas/ImmoweltTags'
            - type: 'null'
        agency:
          anyOf:
            - $ref: '#/components/schemas/ImmoweltListingAgency'
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ImmoweltDomain:
      type: string
      enum:
        - immowelt.de
        - immowelt.at
    ImmoweltPriceDetail:
      properties:
        '@type':
          type: string
          default: ImmoweltPriceDetail
        group:
          anyOf:
            - type: string
            - type: 'null'
        label:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - type: string
            - type: 'null'
        amount:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    ImmoweltEnergyCertificate:
      properties:
        '@type':
          type: string
          default: ImmoweltEnergyCertificate
        energy_class:
          anyOf:
            - type: string
            - type: 'null'
        certificate_type:
          anyOf:
            - type: string
            - type: 'null'
        consumption:
          anyOf:
            - type: string
            - type: 'null'
        energy_source:
          anyOf:
            - type: string
            - type: 'null'
        validity:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ImmoweltAddress:
      properties:
        '@type':
          type: string
          default: ImmoweltAddress
        city:
          anyOf:
            - type: string
            - type: 'null'
        zip_code:
          anyOf:
            - type: string
            - type: 'null'
        district:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        federal_state_geo_id:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ImmoweltFeatureSection:
      properties:
        '@type':
          type: string
          default: ImmoweltFeatureSection
        features:
          items:
            type: string
          type: array
          default: []
      type: object
    ImmoweltPriceComparison:
      properties:
        '@type':
          type: string
          default: ImmoweltPriceComparison
        value:
          anyOf:
            - type: number
            - type: 'null'
        low:
          anyOf:
            - type: number
            - type: 'null'
        high:
          anyOf:
            - type: number
            - type: 'null'
        accuracy:
          anyOf:
            - type: integer
            - type: 'null'
        price_per_m2:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    ImmoweltMedia:
      properties:
        '@type':
          type: string
          default: ImmoweltMedia
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ImmoweltDocument:
      properties:
        '@type':
          type: string
          default: ImmoweltDocument
        url:
          anyOf:
            - type: string
            - type: 'null'
        document_title:
          anyOf:
            - type: string
            - type: 'null'
        file_type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ImmoweltGeoLevel:
      properties:
        '@type':
          type: string
          default: ImmoweltGeoLevel
        id:
          anyOf:
            - type: string
            - type: 'null'
        type_key:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ImmoweltTags:
      properties:
        '@type':
          type: string
          default: ImmoweltTags
        has_3d_visit:
          anyOf:
            - type: boolean
            - type: 'null'
        has_brokerage_fee:
          anyOf:
            - type: boolean
            - type: 'null'
        is_new:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    ImmoweltListingAgency:
      properties:
        '@type':
          type: string
          default: ImmoweltListingAgency
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        contact_person:
          anyOf:
            - type: string
            - type: 'null'
        is_private_owner:
          anyOf:
            - type: boolean
            - type: 'null'
        publisher_type:
          anyOf:
            - type: string
            - type: 'null'
        phones:
          items:
            type: string
          type: array
          default: []
        website:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        badge:
          anyOf:
            - $ref: '#/components/schemas/ImmoweltBadge'
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    ImmoweltBadge:
      properties:
        '@type':
          type: string
          default: ImmoweltBadge
        image:
          anyOf:
            - type: string
            - type: 'null'
        duration:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````